> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getunblocked.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a new user.




## OpenAPI

````yaml https://getunblocked.com/api/v1/public-api.json post /scim/v2/Users
openapi: 3.0.3
info:
  contact:
    email: help@getunblocked.com
    name: Unblocked
  description: >
    The Unblocked Public API offers seamless collection for managing custom data
    sources through a structured set of endpoints.

    It allows users to create collections and organize and upload documents.


    # Base URL

    The base URL for all requests is:


    ```jsx

    https://getunblocked.com/api/v1

    ```


    # Authentication

    Authentication requires an API key, obtainable from the web dashboard,

    which must be included in the `Authorization` request header for all
    endpoints.


    ```bash

    curl -X GET https://getunblocked.com/api/v1/collections \
         -H "Authorization: Bearer YOUR_API_KEY"
    ```


    # Rate Limits & Quotas


    **Resource Limits:**

    - Collections: Maximum 25 per team

    - Request Size: Maximum 10MB per request

    - Pagination: 1-200 items per page (default: 100)


    **Answers API:**

    - Daily Limit: 1000 questions per day per team

    - Quota Reset: Midnight PST

    - Exceeding the limit returns a 429 Too Many Requests error


    **Field Constraints:**

    - Collection name: 1-32 characters

    - Collection description: 1-4096 characters
  title: Unblocked Public API Reference
  version: v1
  x-logo:
    url: https://avatars.githubusercontent.com/u/91906527?s=300
    altText: Unblocked
servers:
  - url: https://getunblocked.com/api/v1
security:
  - ApiKeyBearerAuth: []
tags:
  - description: >
      Ask Unblocked questions and retrieve answers asynchronously. Submit a
      question using the PUT endpoint and poll for the response using the GET
      endpoint.
    name: Answers
  - description: >
      A collection in Unblocked allows you to organize related documents from
      various data sources, such as customer support tools, knowledge bases, and
      internal wikis, which are not natively supported by Unblocked.


      You can create multiple collections to manage documents from different
      sources.


      You have the ability to list, create, update, and delete them as needed.


      Deleting a collection will also remove all the associated documents.
    name: Collections
  - description: >
      Retrieve context from the data sources connected to Unblocked, including
      code, pull requests, issues, messages, and documentation.


      Research produces a synthesized answer with supporting sources. Search
      endpoints return relevant sources from a single content space. Query
      endpoints return the issues or pull requests matching a natural-language
      query with optional filters. The get endpoint retrieves URL content
      directly.


      **Authentication behavior:**

      - **Personal Access Token (PAT) keys**: Requests are attributed to the
      key's user

      - **Team-wide API keys**: Requests are attributed to the team
    name: Context
  - description: >
      A document contains content that Unblocked uses to answer questions. Each
      document is associated with a collection, so you must create a collection
      before adding documents. Documents used to provide answers will appear as
      references in the Unblocked interface.


      You can create and delete documents as needed.
    name: Documents
  - description: >
      SCIM (System for Cross-domain Identity Management) is a standard for
      automating the exchange of user identity information between identity
      domains or IT systems.


      You can use the SCIM API to manage users and groups in Unblocked.


      **Authentication behavior:**

      - **Public API and SCIM API keys**: Accepted for SCIM requests

      - **Personal Access Token (PAT) keys**: Only team admins may use the SCIM
      API; non-admin members receive `403 Forbidden`

      - **SAML prerequisite**: The team must have SAML identity provider
      metadata configured; otherwise requests receive `403 Forbidden`
    name: SCIM
  - description: >
      Retrieve a feed of team events for downstream ingestion into a security

      information and event management (SIEM) system. The feed currently
      includes

      audit logs. Poll the feed to collect new events.
    name: Security Events
  - description: |
      Retrieve usage data for Unblocked products and features.
    name: Usage
paths:
  /scim/v2/Users:
    post:
      tags:
        - SCIM
      summary: Create User
      description: |
        Create a new user.
      operationId: scimUserCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScimUserRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimUserResponse'
          description: Created
        default:
          content:
            text/plain:
              schema:
                example: An error occurred.
                type: string
          description: Default error response.
components:
  schemas:
    ScimUserRequest:
      description: >
        A SCIM user object as defined in [RFC
        7643](https://tools.ietf.org/html/rfc7643#section-4.1).

        This object is used to represent a user in the SCIM API.
      properties:
        schemas:
          description: >
            An array of Strings containing URIs that are used to indicate the
            namespaces of the SCIM schemas that define the attributes present

            in the current structure.
          items:
            type: string
          type: array
        externalId:
          description: >
            A String that is an identifier for the resource as defined by the
            provisioning client. The "externalId" may simplify identification

            of a resource between the provisioning client and the service
            provider by allowing the client to use a filter to locate the
            resource

            with an identifier from the provisioning domain, obviating the need
            to store a local mapping between the provisioning domain's

            identifier of the resource and the identifier used by the service
            provider. Each resource MAY include a non-empty "externalId" value.

            The value of the "externalId" attribute is always issued by the
            provisioning client and MUST NOT be specified by the service
            provider.

            The service provider MUST always interpret the externalId as scoped
            to the provisioning domain.  While the server does not enforce

            uniqueness, it is assumed that the value's uniqueness is controlled
            by the client setting the value.
          example: '701984'
          type: string
        userName:
          description: >
            A service provider's unique identifier for the user, typically used
            by the user to directly authenticate to the service provider.

            Often displayed to the user as their unique identifier within the
            system (as opposed to "id" or "externalId", which are generally

            opaque and not user-friendly identifiers).  Each User MUST include a
            non-empty userName value.  This identifier MUST be unique across

            the service provider's entire set of Users.  This attribute is
            REQUIRED and is case insensitive.
          type: string
        name:
          $ref: '#/components/schemas/ScimName'
        displayName:
          description: >
            The name of the user, suitable for display to end-users. Each user
            returned MAY include a non-empty displayName value. The name

            SHOULD be the full name of the User being described, if known (e.g.,
            "Babs Jensen" or "Ms. Barbara J Jensen, III") but MAY be a

            username or handle, if that is all that is available (e.g.,
            "bjensen"). The value provided SHOULD be the primary textual label
            by

            which this User is normally displayed by the service provider when
            presenting it to end-users.
          type: string
        active:
          description: >
            A Boolean value indicating the User's administrative status. The
            definitive meaning of this attribute is determined by the service

            provider. As a typical example, a value of true implies that the
            user is able to log in, while a value of false implies that the

            user's account has been suspended.
          example: true
          type: boolean
        urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:
          $ref: '#/components/schemas/ScimEnterpriseUserExtension'
      required:
        - userName
      type: object
    ScimUserResponse:
      description: >
        A SCIM user object as defined in [RFC
        7643](https://tools.ietf.org/html/rfc7643#section-4.1).

        This object is used to represent a user in the SCIM API.
      properties:
        schemas:
          description: >
            An array of Strings containing URIs that are used to indicate the
            namespaces of the SCIM schemas that define the attributes present

            in the current structure. Each schema URI MUST be unique, and any
            schema that defines attributes in the current structure MUST be

            included in the array. The schemas array is REQUIRED and MUST be
            non-empty.
          items:
            type: string
          type: array
        id:
          description: >
            A unique identifier for a SCIM resource as defined by the service
            provider. Each representation of the resource MUST include a

            non-empty "id" value.  This identifier MUST be unique across the
            SCIM service provider's entire set of resources. It MUST be a

            stable, non-reassignable identifier that does not change when the
            same resource is returned in subsequent requests. The value of the

            "id" attribute is always issued by the service provider and MUST NOT
            be specified by the client. The string "bulkId" is a reserved

            keyword and MUST NOT be used within any unique identifier value.
          example: 2819c223-7f76-453a-919d-413861904646
          type: string
        meta:
          $ref: '#/components/schemas/ScimMeta'
        userName:
          description: >
            A service provider's unique identifier for the user, typically used
            by the user to directly authenticate to the service provider.

            Often displayed to the user as their unique identifier within the
            system (as opposed to "id" or "externalId", which are generally

            opaque and not user-friendly identifiers).  Each User MUST include a
            non-empty userName value.  This identifier MUST be unique across

            the service provider's entire set of Users.  This attribute is
            REQUIRED and is case insensitive.
          type: string
        name:
          $ref: '#/components/schemas/ScimName'
        displayName:
          description: >
            The name of the user, suitable for display to end-users. Each user
            returned MAY include a non-empty displayName value. The name

            SHOULD be the full name of the User being described, if known (e.g.,
            "Babs Jensen" or "Ms. Barbara J Jensen, III") but MAY be a

            username or handle, if that is all that is available (e.g.,
            "bjensen"). The value provided SHOULD be the primary textual label
            by

            which this User is normally displayed by the service provider when
            presenting it to end-users.
          type: string
        active:
          description: >
            A Boolean value indicating the User's administrative status. The
            definitive meaning of this attribute is determined by the service

            provider. As a typical example, a value of true implies that the
            user is able to log in, while a value of false implies that the

            user's account has been suspended.
          example: true
          type: boolean
        urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:
          $ref: '#/components/schemas/ScimEnterpriseUserExtension'
      required:
        - active
        - displayName
        - id
        - meta
        - name
        - schemas
        - userName
      type: object
    ScimName:
      description: >
        The components of the user's name. Service providers MAY return just the
        full name as a single string in the formatted sub-attribute, or

        they MAY return just the individual component attributes using the other
        sub-attributes, or they MAY return both. If both variants are

        returned, they SHOULD be describing the same name, with the formatted
        name indicating how the component attributes should be combined.
      properties:
        formatted:
          description: >
            The full name, including all middle names, titles, and suffixes as
            appropriate, formatted for display.
          example: Ms. Barbara Jane Jensen, III
          type: string
        familyName:
          description: |
            The family name of the User, or last name in most Western languages.
          example: Jensen
          type: string
        givenName:
          description: |
            The given name of the User, or first name in most Western languages.
          example: Barbara
          type: string
        middleName:
          description: |
            The middle name(s) of the User.
          example: Jane
          type: string
        honorificPrefix:
          description: >
            The honorific prefix(es) of the User, or title in most Western
            languages.
          example: Ms.
          type: string
        honorificSuffix:
          description: >
            The honorific suffix(es) of the User, or suffix in most Western
            languages.
          example: III
          type: string
      type: object
    ScimEnterpriseUserExtension:
      description: >
        SCIM Enterprise User Schema Extension fields as defined in RFC 7643
        section 4.3.
      properties:
        employeeNumber:
          description: >
            A string identifier assigned to a person, typically based on order
            of hire or association with an organization.
          example: '701984'
          type: string
        costCenter:
          description: |
            Identifies the name of a cost center.
          example: '4130'
          type: string
        organization:
          description: |
            Identifies the name of an organization.
          example: Universal Studios
          type: string
        division:
          description: |
            Identifies the name of a division.
          example: Theme Park
          type: string
        department:
          description: |
            Identifies the name of a department.
          example: Tour Operations
          type: string
      type: object
    ScimMeta:
      description: >
        A complex attribute containing resource metadata. All "meta"
        sub-attributes are assigned by the service provider. This attribute
        SHALL

        be ignored when provided by clients.
      properties:
        resourceType:
          description: |
            The name of the resource type of the resource.
          enum:
            - User
            - Group
          example: User
          type: string
        created:
          description: |
            The "DateTime" that the resource was added to the service provider.
          example: '2011-05-13T04:42:34Z'
          format: date-time
          type: string
        lastModified:
          description: >
            The most recent DateTime that the details of this resource were
            updated at the service provider. If this resource has never been

            modified since its initial creation, the value MUST be the same as
            the value of "created".
          example: '2011-05-13T04:42:34Z'
          format: date-time
          type: string
        location:
          description: |
            The URI of the resource being returned.
          example: >-
            https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646
          format: uri
          type: string
        version:
          description: |
            The version of the resource being returned.
          example: W/"123456"
          type: string
      required:
        - created
        - lastModified
        - location
        - resourceType
        - version
      type: object
  securitySchemes:
    ApiKeyBearerAuth:
      bearerFormat: Unblocked API Key
      description: The API key to authenticate requests. Obtainable from the web dashboard.
      scheme: bearer
      type: http

````